
Redmine - Defect #11092

NoMethodError (undefined method `issue_group_assignment?' for #<Class:0x2c74f6e0>):

2012-06-05 11:46 - Konstantin Khatskevich

Status: Closed Start date:  

Priority: Urgent Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Hello!

I got this error. What can I do?

redmine-1.4, sqllite3

_

Processing IssuesController#index (for 91.135.149.102 at 2012-06-05 09:37:20) [GET]

Parameters: {"controller"=>"issues", "project_id"=>"news", "action"=>"index"}

NoMethodError (undefined method `issue_group_assignment?' for #<Class:0x2c74f6e0>):

app/models/query.rb:266:in `available_filters'

app/helpers/queries_helper.rb:124:in `build_query_from_params'

app/helpers/queries_helper.rb:92:in `retrieve_query'

app/controllers/issues_controller.rb:57:in `index'

passenger (3.0.12) lib/phusion_passenger/rack/request_handler.rb:96:in `process_request'

passenger (3.0.12) lib/phusion_passenger/abstract_request_handler.rb:513:in `accept_and_process_next_request'

passenger (3.0.12) lib/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'

passenger (3.0.12) lib/phusion_passenger/classic_rails/application_spawner.rb:321:in `start_request_handler'

passenger (3.0.12) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `send'

passenger (3.0.12) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `handle_spawn_application'

passenger (3.0.12) lib/phusion_passenger/utils.rb:479:in `safe_fork'

passenger (3.0.12) lib/phusion_passenger/classic_rails/application_spawner.rb:270:in `handle_spawn_application'

passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:180:in `start'

passenger (3.0.12) lib/phusion_passenger/classic_rails/application_spawner.rb:149:in `start'

passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:219:in `spawn_rails_application'

passenger (3.0.12) lib/phusion_passenger/abstract_server_collection.rb:132:in `lookup_or_add'

passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:214:in `spawn_rails_application'

passenger (3.0.12) lib/phusion_passenger/abstract_server_collection.rb:82:in `synchronize'

passenger (3.0.12) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:213:in `spawn_rails_application'

passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:132:in `spawn_application'

passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'

passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

passenger (3.0.12) /helper-scripts/passenger-spawn-server:99

Rendering /home/redmine-1.4/public/500.html (500 Internal Server Error)_

History

#1 - 2012-06-05 12:13 - Etienne Massip

Looks like you forgot to run your database migration when upgrading?

Please give details according to SubmittingBugs.

#2 - 2012-06-05 19:15 - Jean-Philippe Lang
https://www.redmine.org/projects/redmine/wiki/RedmineUpgrade
https://www.redmine.org/projects/redmine/wiki/SubmittingBugs


- Status changed from New to Closed

- Resolution set to Invalid

This is not a migration issue but an obsolete config/settings.yml. Please use a fresh version of this file.

#3 - 2012-06-06 08:51 - Konstantin Khatskevich

- Status changed from Closed to Reopened

This is my settings.yml. Where can I get  fresh version of this file? I beginner in redmine and I don't know ruby.. I need only start this soft. Sorry.

commit_logs_encoding:

default: 'UTF-8'

repository_log_display_limit:

format: int

default: 100

ui_theme:

default: ''

emails_footer:

default: |-

You have received this notification because you have either subscribed to it, or are involved in it.

To change your notification preferences, please click here: http://hostname/my/account

gravatar_enabled:

default: 0

openid:

default: 0

gravatar_default:

default: ''

start_of_week:

default: ''

rest_api_enabled:

default: 0

default_notification_option:

default: 'only_my_events'

emails_header:

default: ''

#4 - 2012-06-06 09:51 - Etienne Massip

- Status changed from Reopened to Closed

It is bundled with Redmine in the config dir.

#5 - 2012-06-06 10:14 - Konstantin Khatskevich

what you do bear in mind?

I get this error when click to any link which contents 'issues'.

#6 - 2012-06-06 10:54 - Etienne Massip

Konstantin Khatskevich wrote:

what you do bear in mind?

 I'm sorry I don't get it. I'm basically saying that the right settings.yml is bundled with the Redmine installation package and is located in the config dir.

#7 - 2012-06-06 11:07 - Konstantin Khatskevich

Hmm

I need reinstall redmine?

If I use svn, then all data will deleted?

Sorry for my english :-)

#8 - 2012-06-06 11:41 - Etienne Massip

Konstantin Khatskevich wrote:

Hmm

I need reinstall redmine?

 No! Just backup your actual settings.yml, replace it with the right bare one (which you can download from source:/tags/1.4.3/config/settings.yml,
http://hostname/my/account
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/1.4.3/config/settings.yml


depending upon your exact Redmine version) and edit it to adjust your settings if needed.

#9 - 2012-06-06 12:23 - Konstantin Khatskevich

Ohhh!!!! Yesss!!!

Thank you!!!!

It's works!!!
